package com.jkcredit.zuul.util;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import javax.annotation.Resource;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
@Slf4j
public class InstanceStatusUtil {
    @Resource(name = "getRestTemplate")
    RestTemplate restTemplate;
    public void updateInstanceStatus(String instanceId, String status) {
        String url = "http://51.1.0.61:28081/eureka/apps/INFO-QUERY/" + instanceId + "/" + "status?value=" + status;
        log.info("url:{}", url);
        restTemplate.put(url, null);
    }
}
